# Standard_InternalType.hxx File Reference

`#include <Standard_PrimitiveTypes.hxx>`

## Enumerations

enum | Standard_InternalType { Standard_Void, Standard_Char, Standard_ExtChar, Standard_LongInt, Standard_Bool, Standard_Float, Standard_LongDouble, Standard_String, Standard_EString, Standard_EntryAddress, Standard_DataAddress, Standard_EngineHandle, Standard_Long64, Standard_Array }
| The package Standard provides the minimum services necessary for other toolkits to handle persistent and transient objects. It is the Standard run-time encapsulation of the CAS.CADE database, that is, it defines a single programming interface for creating and accessing persistent objects manipulated by handles. . More...

## Enumeration Type Documentation

enum Standard_InternalType

Enumeration values:

  Standard_Void |
  Standard_Char |
  Standard_ExtChar |
  Standard_LongInt |
  Standard_Bool |
  Standard_Float |
  Standard_LongDouble |
  Standard_String |
  Standard_EString |
  Standard_EntryAddress |
  Standard_DataAddress |
  Standard_EngineHandle |
  Standard_Long64 |
  Standard_Array |